Package: org.codehaus.groovy.classgen.asm.sc

## [Java] Class StaticPropertyAccessHelper

- org.codehaus.groovy.classgen.asm.sc.StaticPropertyAccessHelper

- Facilitates the generation of statically-compiled bytecode for property access.

  Since:
    2.4.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static Expression` | `transformToSetterCall(Expression receiver, MethodNode setterMethod, Expression argument, boolean implicitThis, boolean safe, boolean spreadSafe, boolean requiresReturnValue, Expression propertyExpression)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### public static Expression transformToSetterCall(Expression receiver, MethodNode setterMethod, Expression argument, boolean implicitThis, boolean safe, boolean spreadSafe, boolean requiresReturnValue, Expression propertyExpression)